import re

anticrash_res = {
re.compile(r'\b(|\d+|\W+)(|un|anti|re)c(ae|\xe6)sur', re.I): r'\1\2seizur',
re.compile(r"\b(|\d+|\W+)h'(r|v)[e]", re.I): r"\1h ' \2 e",
# re.compile(r"\b(|\d+|\W+)wed[h]esday", re.I): r"\1wed hesday",
re.compile(r'hesday'): r' hesday',
re.compile(r"\b(|\d+|\W+)tz[s]che", re.I): r"\1tz sche",
re.compile(r'\)(?=[\w\d])', re.I | re.U): r') ',
re.compile(r'(?<=\w)\(e\)', re.I | re.U): r'( e )',
}

pause_re = re.compile(r'(\w)(\s?)([,;:])(\W|$)', re.U)

time_re = re.compile(r"(\d):(\d+):(\d+)")

english_fixes = {
re.compile(r'(\w+)\.([a-zA-Z]+)'): r'\1 dot \2',
re.compile(r'([a-zA-Z0-9_]+)@(\w+)'): r'\1 at \2',
}
french_fixes = {
re.compile(r'(\w+)@(\w+)', re.U): r'\1 arobase \2',
re.compile(r'(\w+)\.([a-zA-Z]+)'): r'\1 point \2',
re.compile(r'(\d+)(\s*)(F)(|B|F|RF)($|[^\w])'): r'\1 \2 ef \4 \5',
re.compile(r'(\bF)(|B|F|RF)(\s*)(\d+)'): r'ef \2 \3 \4',re.compile(r'(\bF)\s(\d+)'): r'ef \2',
re.compile(r'\b([IVXCLDM]+)\s([IVXCLDM])(e|\xe8me)(?=s?(?:\W|$))'): r'\1\2\3',
re.compile(r'([^0-9\s]):([^0-9\s])'): r'\1  \2',
re.compile(r'71(\b|[^0-9])', re.I | re.U): r'60 et 11\1',

#Prononciation de l'heure
re.compile(r'\b(\d?\d:\d\d)(:00)(?=\W|$)', re.U): r'\1',

re.compile(r'(pluce\s?|\+\s?)y', re.I | re.U): r'\1igrec ',

re.compile(r'(?<=\w)fm(?=\W|$)', re.I | re.U): r' f m',
re.compile(r'(?<=\w)fr(?=\W|$)', re.I | re.U): r' f r',
re.compile(r'(?<=\w)tv(?=\W|$)', re.I | re.U): r' t v',

re.compile(r'ault(?=[aeiou])', re.I | re.U): r'aullt',
re.compile(r'eml(?=[aeiou])', re.I | re.U): r'aimml',
re.compile(r'([as])dsl', re.I | re.U): r'\1 d s l ',
re.compile(r'(?<=\bbaroud)(?=[s|\W]|$)', re.I | re.U): r'd',
re.compile(r'(brass|iv)ens(?=\W|$)', re.I | re.U): r'\1inss',
re.compile(r'\bburnout', re.I | re.U): r'boeurna outt',
re.compile(r'business', re.I | re.U): r'bizness',
re.compile(r'\bcation(?=[s\W]|$)', re.I | re.U): r'catyon',
re.compile(r'(?<=[e\xeat])(tions)(?=\W|$)', re.I | re.U): r'tyons',
re.compile(r'(?<=\w)club(?=[s\W]|$)', re.I | re.U): r'-club',
re.compile(r'\bc\s?d\s?ex(?=\W|$)', re.I | re.U): u'c\xe9dex',
re.compile(r'\bcocktail(?=[s\W]|$)', re.I | re.U): r'cocktel',
re.compile(r'\bconsortium(?=[s\W]|$)', re.I | re.U): r'consorsium',
re.compile(r'\bdengue(?=[s\W]|$)', re.I | re.U): r'dingue',
re.compile(r'\be-?mail(?=[s\W]|$)', re.I | re.U): r'imeillhl',
re.compile(r'\ben(?=[ae\xe9iuy][^v])', re.I | re.U): u'\xe9n',
re.compile(r'\bfire\s?(?=[bfw]|st|[s\W]|$)', re.I): u'fa\xefeur',
re.compile(r'(?<=e)inter(?=\W|$)', re.I): r' inter',
re.compile(r'(?<=e)info(?=\W|$)', re.I): r' info',
re.compile(r'descent(?=\W|$)', re.I | re.U): r'dessant',
re.compile(r'(?<=g)\xfce', re.I | re.U): r'u',
re.compile(r'(?<=\b\xe9)qui(?=lat)', re.I | re.U): r'cui',
re.compile(r'\bair\s?pod(?=[s\W]|$)', re.I | re.U): r'airpodd',
re.compile(r'\bhome\s?pod(?=[s\W]|$)', re.I | re.U): r'haumepodd',
re.compile(r'\bi\s?(?=mac|phone([s\W]|$))', re.I | re.U): r'aill',
re.compile(r'\b(i\s?)(p[ao])(d)', re.I | re.U): r'aill-\2\3\3',
re.compile(r'\b(i\s?)(tunes)(?=[s\W]|$)', re.I | re.U): r'ailltioune',
re.compile(r'\b(i|i )(phone)(?=[s\W]|$)', re.I | re.U): r'aill\2',
re.compile(r'(?<=internet\s)explorer', re.I): r'exploreur',
re.compile(r'(\b|kilo|m[e\xe9]ga|giga|t[e\xe9]ra|p[e\xe9]ta|exa)byte(?=[s\W]|$)', re.I | re.U): r'\1baillte',
re.compile(r'\bjackpot', re.I | re.U): r'djackpote',
re.compile(r'jean\-', re.I | re.U): r'Jean-',
re.compile(r'\bjersey', re.I | re.U): r'jerzey',
re.compile(r'lucifer', re.I | re.U): r'luciferr',
re.compile(r'(\b|[rt\s])cut(?=[s\W]|$)', re.I | re.U): r'\1koett',
re.compile(r'(\b[e\xe9]qua)(?=[lnt])', re.I | re.U): u'\xe9coua',
re.compile(r'\blord(?=s|\W|$)', re.I): r'lordd',
re.compile(r'\bmail(?=[s\W]|$)', re.I | re.U): u'meillhl',
re.compile(r'\bmarylin', re.I | re.U): r'marylinn',
re.compile(r'(\bmiles)(tone)', re.I | re.U): r'\1 \2',
re.compile(r'N[Aa][Ss](?=\W|$)', re.U): u'nass',
re.compile(r'nvda', re.I | re.U): u' ehnv\xe9d\xe9a',
re.compile(r'(?<=[lp]ster)(?=[s\W]|$)', re.I | re.U): u'r',
re.compile(r'\boutlook', re.I | re.U): r'aoutlouk',
re.compile(r'pancake', re.I | re.U): r'pannkeillke',
re.compile(r'player', re.I | re.U): u'pl\xe9ieur',
re.compile(r'\bputsch(\s|\W|i|s)', re.I | re.U): r'poutsch\1',
re.compile(r'\bquad(?=s|\W|$)', re.I | re.U): r'couadd',
re.compile(r'\bqua(?=tern)', re.I | re.U): r'coua',
re.compile(r'quizz', re.I | re.U): r'couize',
re.compile(r'queen', re.I | re.U): r'couinn',
re.compile(r'\bqui([dtz])(?=\W|$)', re.I | re.U): r'coui\1\1',
re.compile(r'reader', re.I | re.U): r'rideur',
re.compile(r'(s)a(ou)l(?=[s\W]|$)', re.I | re.U): r'\1\2',
re.compile(r'(s)a(oul)(?=[aeo\xe8\xe2\xe9])', re.I | re.U): r'\1\2',
re.compile(r'\bsas(?=\W|$)', re.I | re.U): r'sass',
re.compile(r'\bSt(?=\W|$)', re.U): r'saint',
re.compile(r'\bsummum(?=[s|\W]|$)', re.I | re.U): r'sommum',
re.compile(r'\bsushi(?=[s|\W]|$)', re.I | re.U): r'souchi',
re.compile(r'schengen', re.I | re.U): r'schennguenn',
re.compile(r'\bsitter(?=[s\W]|$)', re.I | re.U): r'ssitteur',
re.compile(r'\bskype', re.I | re.U): r'skaillpe',
re.compile(r'speaker([^i])', re.I | re.U): r'spikeur\1',
re.compile(r'soft(?=[s\W]|$)', re.I | re.U): r'ssoftt',
re.compile(r'\bstartup', re.I | re.U): r'starteupp',
re.compile(r'thunder\s?bird', re.I | re.U): r'soendoerboerdd',
re.compile(r'(tranquil)l(?=[ei])', re.I | re.U): r'\1',
re.compile(r'winamp', re.I | re.U): r'winampp',
re.compile(r'(foc|ing|mod|[ln]ex|oet|ton|vers|vir|tit|ymp)us(?=[\W]|$)', re.I | re.U): r'\1uss',
re.compile(r'\byes(?=\W|$)', re.I | re.U): r'iess',

re.compile(r'(?<=ep)t(?=ie[s\W]|$)', re.I | re.U): r's',
re.compile(r'\b(auto|bio|pseudo|proto|\xe9co)(?=[eio])', re.I | re.U): r'\1-',
re.compile(r'(a\xe9ro)(sond)(?=[ae])', re.I | re.U): r'\1s\2',
re.compile(r'\b(co|arc)(sinus)(?=[\W]|$)', re.I | re.U): r'\1s\2s',
re.compile(r'\b(bio|chimio|ost\xe9o|photo|prot\xe9o)(synth)(?=[\xe8\xe9])', re.I | re.U): r'\1s\2',
re.compile(r'\b(d\xe9ca|dod\xe9ca|hepta|hexa|octo|penta|quadri|poly|t\xe9tra|tri)(syllab)(?=[ei])', re.I | re.U): r'\1s\2',
re.compile(r'\b(Talu)s(?=[\W]|$)', re.I | re.U): r'\1',
re.compile(r'\b(Thal\xe8s)(?=[\W]|$)', re.I | re.U): r'\1s',
re.compile(r'\b(tourne|gira|pal\xe9o|plasti)(sol)(?=[s\W]|$)', re.I | re.U): r'\1-\2',
re.compile(r'\b(photo|radio|supra|thermo|plasti|[e\xe9]lectro)(sensib)(?=[il])', re.I | re.U): r'\1-\2',
re.compile(r'\b(thermo)(siphon)(?=[s\W]|$)', re.I | re.U): r'\1-\2',
re.compile(r'\b(\xe9co|photo)(syst\xe8me)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'(phyto)(sanitaire)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'(micro|nano|pico)(seconde)(?=[s\W]|$)', re.I | re.U): r'\1-\2',
re.compile(r'\bmilli(seconde)(?=[s\W]|$)', re.I | re.U): r'mili-\1',
re.compile(r'\b(m[ai]cro)(?=[aeiouy])', re.I | re.U): r'\1-',
re.compile(r'\b(tri)(soc)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(uni)(sexe)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(t\xe9no)(synovite)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(su)(surr)([a-z\xe2\xe8\xe9]+[\W]|$)', re.I | re.U): r'\1s\2\3',
re.compile(r'\b(cap\xe9)(sien|sienne)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\bChasles(?=[s\W]|$)', re.I | re.U): r'Chales',
re.compile(r'\b(co)(sign[a-z\xe2\xe8\xe9]+|s\xe9cante)(?=[\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(d\xe9)(saisonnalis|sangl|(?:sap(?!p))|sectoris|sexualis|socialis|synchronis)([a-z\xe2\xe8\xe9]+[\W]|$)', re.I | re.U): r'\1s\2\3',
re.compile(r'\b(d\xe9)(syndicalisation)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(di)(saccharide)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(dy)(senterie|sesth\xe9sie)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(\xe9qui)(s\xe9tin\xe9e|s\xe9tac\xe9e)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(gamo)(s\xe9pale)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(g\xe9o)(synclinal|synchrone)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(h\xe9lio)(synchrone)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(oligo)(saccharide)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(havre)(sac)(?=[s\W]|$)', re.I | re.U): r'\1-\2',
re.compile(r'\b(ortho)(sympathique)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(ost\xe9o)(sarcome)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(oxy)(sulfure)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(para)(sexualit\xe9|sismique|sympathique)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(prime)(sauti)', re.I | re.U): r'\1-\2',
re.compile(r'\b(pro)(secteur|simien)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(pyro)(sulfurique)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(pt\xe9ro)(saurien)(?=[ns\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(r\xe9)(sipiscence|s\xe9quer)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(vrai|invrai)(semblance)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(infra)(son)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(t\xe9l\xe9)(si\xe8ge|surveillance|signalisation|souffleur)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(radio)(sextant|sonde|source)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(boro)(silicate)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(hydro)(silicate|soluble)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(tri|vivi)(section)(?=[s\W]|$)', re.I | re.U): r'\1s\2',
re.compile(r'\b(mani)ch(\xe9en|\xe9is)', re.I | re.U): r'\1k\2',
re.compile(r'\b(ubi)qu(it)', re.I | re.U): r'\1cu\2',
re.compile(r'\b([AO])(M)(?=\W|$)', re.U): r'\1 \2',
re.compile(r'\b(O)(L)(?=\W|$)', re.U): r'\1 \2',
re.compile(r'\b(U)(M)(P)(?=\W|$)', re.U): r'\1 \2 \3 ',
re.compile(r'\bpharaon(?=[s\W]|$)', re.I | re.U): r'pharahon',
re.compile(r'aultais', re.I | re.U): r'oltais',
re.compile(r'itien(?=[ns\W]|$)', re.I | re.U): r'icien',
re.compile(r'\b(vid\xe9o)(sur)', re.I | re.U): r'\1-\2',

re.compile(r'croatie(?=[ns\W]|$)', re.I | re.U): r'croacie',
re.compile(r'(\bgrat|lit)is(?=\W|$)', re.I | re.U): r'\1iss',

re.compile(r'\b(?<=in\s)fine(?=\W|$)', re.I): u'fin\xe9',
re.compile(r'mea culpa', re.I): u'm\xe9a coulpa',
re.compile(r'sine die', re.I): u'sin\xe9 di\xe9',
re.compile(r'sine qua non', re.I): u'sin\xe9 qua nonn',

re.compile(r'\blentement(?=\W|$)', re.I | re.U): r'lentemant',
re.compile(r'\bvigilent(?=\W|$)', re.I | re.U): r'vigilant',
re.compile(r'\bvraiment(?=\W|$)', re.I | re.U): r'vraimant',

re.compile(r'(?<=[jn]o)e(?=l)', re.I | re.U): u'\xeb',

#Noms de lieux
re.compile(r'\bal\xe8s', re.I | re.U): r'aless',
re.compile(r'\bhendaye', re.I | re.U): r'handaille',
re.compile(r'\blondon(?=\W|$)', re.I | re.U): r'lonndonn',

#marques diverses
re.compile(r'\bacer(?=[\W]|$)', re.I | re.U): r'acerr',
re.compile(r'\bamazon(?=[\W]|$)', re.I | re.U): r'amazonn',
re.compile(r'\basus(?=[\W]|$)', re.I | re.U): r'azuss',
re.compile(r'\bBan(?=[\W]|$)', re.U): r'Bann',
re.compile(r'\bDenon(?=[\W]|$)', re.U): r'dennonn',
re.compile(r'\be(?=bay)', re.I | re.U): r'i-',
re.compile(r'\bikea(?=[\W]|$)', re.I | re.U): u'ik\xe9a',
re.compile(r'\bintel(?=[\W]|$)', re.I | re.U): r'inntel',
re.compile(r'\bJO(?=\W|$)', re.U): r'j o',
re.compile(r'\blidl(?=[\W]|$)', re.I | re.U): r'lideul',
re.compile(r'\bnintendo(?=[\W]|$)', re.I | re.U): u'ninnt\xe8ndo',
re.compile(r'\bokeenea(?=\W|$)', re.I | re.U): u'okin\xe9a',
re.compile(r'\bpapenmeier(?=\W|$)', re.I | re.U): r'papoenmeilleur',
re.compile(r'\bquad(?=s|\W|$)', re.I | re.U): r'couadd',
re.compile(r'\b(?<=qwant)(?=s|\W|$)', re.I | re.U): r't',
re.compile(r'samsung', re.I | re.U): r'sammsoungg',
re.compile(r'\bSonos(?=\W|$)', re.U): r'sonoss',
}

french_extended_fixes = {
re.compile(r'(\w+)(\xf1)(?=\w+)', re.I | re.U): r'\1gn',
re.compile(r'([^eo][a]|te|ni|(?<=u)ri)ch(?=[s\W]|$)', re.I | re.U): r'\1k',
#re.compile(r"([aeiouy])'s(?=[\W]|$)", re.I | re.U): r"\1'zz",
re.compile(r"([aeiouy]\w*[bcdfghj-np-tvwxz])'s(?=[s\W]|$)", re.I | re.U): r"\1'ss",
re.compile(r"([aeiouy]\w*)e?n't(?=[s\W]|$)", re.I | re.U): r"\1nhnhnh'tt",
re.compile(r'(add|log|comm)on(?=[s\W]|$)', re.I | re.U): r'\1onn',
re.compile(r'\badd-on', re.I | re.U): r'addonn',
re.compile(r'([bghlmnprsuz])ad(?=[s\W]|$)', re.I | re.U): r'\1add',
re.compile(r'\bn\xb0', re.I | re.U): u'num\xe9ro ',
re.compile(r'\babout(?=\W|$)', re.I | re.U): r'euhbaoutt',
re.compile(r'act(?=[s\W]|$)', re.I | re.U): r'actt',
re.compile(r'\badmin(?=[s\W]|$)', re.I | re.U): r'adminn',
re.compile(r'\balien(?=[s\W]|$)', re.I | re.U): r'alienn',
re.compile(r'\ball(?=[s\W]|$)', re.I | re.U): r'oll',
re.compile(r'android(?=[s\W]|$)', re.I | re.U): r'androhidd',
re.compile(r'(?<=\bantar)([e\xe8]s)', re.I | re.U): r'ess',
re.compile(r'(?<=[^sl])atan(?=\W|$)', re.I | re.U): r'atann',
re.compile(r'(\b|m)a(?=ny)', re.I | re.U): r'\1ai',
re.compile(r'(ny|\bsome|every)(one)', re.I | re.U): r'\1-\2',
re.compile(r'(\b|ny|\bsome|every|no)(thing)', re.I | re.U): r'\1-sing',
re.compile(r'(?<=me|no|ry|ny)where|\bwh?ere(?=[\W]|$)', re.I | re.U): r'waire',
re.compile(r'\bat(?=\W|$)', re.I | re.U): r'att',
re.compile(r'\bmuch(?=\W|$)', re.I | re.U): r'moetch',
re.compile(r'(set|back|pop)(up)(?=[s\W]|$)', re.I | re.U): r'\1-\2',
re.compile(r'(?<!r[e\xe9])cup(?=[s\W]|$)', re.I | re.U): r'koep',
re.compile(r'\b(be)(fore|cause|low)(?=\W|$)', re.I | re.U): r'bi\2',
re.compile(r'\bbegin(?=ni|[s\W]|$)', re.I | re.U): r'biguinn',
re.compile(r'\bbegan(?=ni|[s\W]|$)', re.I | re.U): r'bigann',
re.compile(r'\bbegun(?=ni|[s\W]|$)', re.I | re.U): r'bigoenn',
re.compile(r'\bbeginner(?=[s\W]|$)', re.I | re.U): r'biguineur',
re.compile(r'\bbehind(?=\W|$)', re.I | re.U): r'bihaillndd',
re.compile(r'\bbeing', re.I): r'be-ing',
re.compile(r'\bbios(?=\W|$)', re.I | re.U): r'bioss',
re.compile(r'\b(bl|tr)ue(?=\W|$|b|m|to)', re.I | re.U): r'\1ou ',
re.compile(r'bird(?=[flsy\W]|$)', re.I | re.U): r'boerdd',
re.compile(r'\bblues(?=\W|$)', re.I | re.U): r'blouzz',
re.compile(r'(boy)(?=[s\W]|$)', re.I | re.U): r' \1',
re.compile(r'ooth(?=[isy\W]|$)', re.I | re.U): r'ouss',
re.compile(r'oard(?=[s\W]|$)', re.I | re.U): r'ordd',
re.compile(r'\bbu(ff|zz)er(?=[s\W]|$)', re.I | re.U): r'beu\1eur',
re.compile(r'\b(lock|log|lay)(in|out|off)(?=[s\W]|$)', re.I | re.U): r'\1 \2',
re.compile(r'myself', re.I | re.U): r'maillself',
re.compile(r'(?<=plug)(|s)(\W|$|in|off|out)(?=[s\W]|$)', re.I | re.U): r' \2',
re.compile(r'ugged', re.I | re.U): r'oegde',
re.compile(r'ugg(?=[iy])', re.I | re.U): r'oegui',
re.compile(r'(b|m|pl)ug(?=[gs\W]|$)', re.I | re.U): r'\1oeg',
re.compile(r'burger(?=[s\W]|$)', re.I | re.U): r'boergueur',
re.compile(r'\bbuzz(?=[s\W]|$)', re.I | re.U): r'beuhzz',
re.compile(r'([^i])bye(?=\W|$)', re.I | re.U): r' \1bail',
re.compile(r'\b([cklnsvw]an)(?=\W|$)', re.I | re.U): r'\1n',
re.compile(r'(\b|c|\bcarp)enter(?=[s\W]|$)', re.I | re.U): u'\\1\xe8nteur',
re.compile(r'([bs])end(?=[s\W]|$)', re.I | re.U): u'\\1\xe8ndd',
re.compile(r'(\b|bl|\b[fg]|[clprst])ender(?=[s\W]|$)', re.I | re.U): u'\\1\xe8ndeur',
re.compile(r'\bdefender(?=[s\W]|$)', re.I | re.U): u'dif\xe8ndeur',
re.compile(r'character', re.I | re.U): r'caracterr',
re.compile(r'\bcomputer(?=[s\W]|$)', re.I | re.U): r'compiouteur',
re.compile(r'\bcron(?=[s\W]|$)', re.I | re.U): r'cronn',
re.compile(r'\b(c?l|pr)oud(?=[lys\W]|$)', re.I | re.U): r'\1aoudd',
re.compile(r'(?<=[chlt])ook(?!er)', re.I | re.U): r'ouk',
re.compile(r'(?<=[bchlt])ooker', re.I | re.U): r'oukeur',
re.compile(r'(?<=[lz])oo(?=\W|$)', re.I | re.U): r'o',
re.compile(r'\bechoes(?=\W|$)', re.I | re.U): u'\xe9kozz',
re.compile(r'(\B\w)cho(?=[s\W]|$)', re.I | re.U): r'\1chau',
re.compile(r'\benough(?=\W|$)', re.I | re.U): r'ineuhf',
re.compile(r'\bescort(?=[s\W]|$)', re.I | re.U): r'escortt',
re.compile(r'\b([rt])ough(?=\W|$)', re.I | re.U): r'\1euhf',
re.compile(r'uck(?=[isy\W]|$)', re.I | re.U): r'euhk',
re.compile(r'([bdfhlst])ucker(?=[s\W]|$)', re.I | re.U): r'\1euhkeur',
re.compile(r'([^p]ect)(?=[s\W]|$)', re.I | re.U): r'\1t',
re.compile(r'cult(?=[sy\W]|$)', re.I | re.U): r'keuhlt',
re.compile(r'desk', re.I | re.U): u'd\xe8sk',
re.compile(r'\bdesigner(?=[s\W]|$)', re.I | re.U): r'disaillneur',
re.compile(r'driver(?=[s\W]|$)', re.I | re.U): r'draillveur',
re.compile(r'([dt])own', re.I | re.U): r"\1a'onn",
re.compile(r'each(?=[is\W]|$)', re.I | re.U): r'itch',
re.compile(r'eacher(?=[s\W]|$)', re.I | re.U): r'itcheur',
re.compile(r'eached(?=[\W]|$)', re.I | re.U): r'itchdd',
re.compile(r'\bedit(?=\W|$)', re.I | re.U): u'\xe9ditt',
re.compile(r'oach(?=[eis\W]|$)', re.I | re.U): r'autch',
re.compile(r'(\b|[blmr])unch(?=[eis\W]|$)', re.I | re.U): r'\1oench',
re.compile(r'([^j])ea([lmn])(?=[s\W]|$)', re.I | re.U): r'\1ih\2',
re.compile(r'(?<!br)ea([p])(?!er)', re.I | re.U): r'i\1',
re.compile(r'(?<=\br)ea([p])er(?=[s\W]|$)', re.I | re.U): r'i\1eur',
re.compile(r'(?<=br)ea([k])(?!er)', re.I | re.U): u'\xe8\\1',
re.compile(r'(?<=br)ea([k])er(?=[s\W]|$)', re.I | re.U): u'\xe8\\1eur',
re.compile(r'([^dh])ead(?=[s\W]|$)', re.I | re.U): r'\1idd',
re.compile(r"I'(?=d|ld|m|ve|ll)", re.U): r'aill',
re.compile(r"I'm", re.U): r'aillm',
re.compile(r'ready', re.I | re.U): r'raidy',
re.compile(r'\b([dh])ead(?=[s\W]|$)', re.I | re.U): r'\1aidd',
re.compile(r'ahead(?=[s\W]|$)', re.I | re.U): r'euhaidd',
re.compile(r'ee([mnptz])(?!er)', re.I | re.U): r'i\1\1',
re.compile(r'ee([mnptz])er(?=[s\W]|$)', re.I | re.U): r'i\1eur',
re.compile(r'en(gland|glish)', re.I | re.U): r'inn\1e',
re.compile(r'german(?=[s\W]|$)', re.I | re.U): r'dgermann',
re.compile(r'irish(?=[s\W]|$)', re.I | re.U): r'aillrish',
re.compile(r'(ss)(man)(?=[s\W]|$)', re.I | re.U): r'\1\2n',
re.compile(r'eo(?=[s\W]|$)', re.I | re.U): u'\xe9o',
re.compile(r'ebab(?=[s\W]|$)', re.I | re.U): u'\xe9bab',
re.compile(r'erg(?=[s\W]|$)', re.I | re.U): r'ergg',
re.compile(r'(e)(da|ria|ro)(?=[s\W]|$)', re.I | re.U): u'\xe9\\2',
#re.compile(r'([iu])(e)([lnr]a)(?=[s\W]|$)', re.I | re.U): u'\\1\xe8\\3',
re.compile(r'\betc(?=\W|$)', re.I | re.U): u'ettc\xe9t\xe9ra',
re.compile(r'(\b|\bbr)exit', re.I): r'\1egzitt',
re.compile(r'\beye', re.I): r'aille',
re.compile(r'facebook', re.I): u'f\xe8\xefsbouc',
re.compile(r'\b(matt|numb|disord|ord|develop|trail|twitt|[ms]ist|serv|pott|trad)er(?=[s\W]|$)', re.I | re.U): r'\1eur',
re.compile(r'(minist|[cfm]ast|filt|monst|octob|shelt|clean|s[io]lv|w[ln]|war[mn])er(?=[s\W]|$)', re.I | re.U): r'\1eur',
re.compile(r'(\b|f|l|w)eather(?=[s\W]|$)', re.I | re.U): r'\1aiseur',
re.compile(r'teather(?=[s\W]|$)', re.I | re.U): r'tiseur',
re.compile(r'(em)ber(?=[s\W]|$)', re.I | re.U): r'\1mbeur',
re.compile(r'([^c]aft)er(?=[s\W]|$)', re.I | re.U): r'\1eur',
re.compile(r'(sh|tch|unch|oof|eet|[lnr]k|[bl]ett|[ns]vert|hr)er(?=[s\W]|$)', re.I | re.U): r'\1eur',
re.compile(r'([^t]ock|[aei]ck)er(?=[s\W]|$)', re.I | re.U): r'\1eur',
re.compile(r'([dgk]st|xt)er(?=[s\W]|$)', re.I | re.U): r'\1err',
re.compile(r'([bcdh])uster(?=[s\W]|$)', re.I | re.U): r'\1euhsteur',
re.compile(r'([au]dl|[bdfhklst]n|\bcyb|\bcart|\bjok|\bstart)er(?=[s\W]|$)', re.I | re.U): r'\1err',
re.compile(r'(chester)(?=[s\W]|$)', re.I | re.U): r' \1r',
re.compile(r'\bpaper(?=[bs\W]|$)', re.I): u'p\xe8ipeur',
re.compile(r'(pr|w)(in+)ter(?=[s\W]|$)', re.I | re.U): r'\1\2nteur',
re.compile(r'e[ae]t(?=[s\W]|$)', re.I | re.U): r'itt',
re.compile(r'file\s?(?=manager|zilla)', re.I): r'faillhle ',
#re.compile(r'file\s?zilla', re.I): r'faillhle zilla',
re.compile(r'\bfirst(?=[s\W]|$)', re.I | re.U): r'foerst',
re.compile(r'(\w)ench(?=[y\W]|$)', re.I | re.U): r'\1ennch',
re.compile(r'(\b|[defgktuw-z])(m[ae]n)(?=\W|$)', re.I | re.U): r'\1\2n',
re.compile(r'(\w)heim(?=\W|$)', re.I | re.U): r'\1haillm',
re.compile(r'eimer(?=\W|$)', re.I | re.U): r'aillmeur',
re.compile(r'(\w)([npck])stein(?=\W|$)', re.I | re.U): r'\1\2\2shhtailln',
re.compile(r'(\b|[^s])older(?! view)', re.I | re.U): r'\1oldeur',
re.compile(r'\bfolder view', re.I | re.U): r'Dossier',
re.compile(r'(view)(er)', re.I | re.U): r'\1-\2',
re.compile(r'girl([fsy\W]|$)', re.I | re.U): r'goerl\1',
re.compile(r'\b(d|fl)i(rt)', re.I | re.U): r'\1oe\2t',
re.compile(r'friend(?=[ls\W]|$)', re.I | re.U): r'frenndd',
re.compile(r'gmail', re.I | re.U): u'g meillhl',
re.compile(r'\bgod(?=s|\W|$)', re.I): r'godd',
re.compile(r'header', re.I | re.U): r'aideur',
re.compile(r'heading', re.I | re.U): r'aiding',
re.compile(r'hotmail', re.I | re.U): u'hottmeillhl',
re.compile(r'oad(?!er)', re.I | re.U): r'audd',
re.compile(r'oader', re.I | re.U): r'auddeur',
re.compile(r'ood', re.I | re.U): r'oudd',
re.compile(r'([chw])ould(?=[n\W]|$)', re.I | re.U): r'\1oudd',
re.compile(r'\b([ms])outh(?=[es\W]|$)', re.I | re.U): r'\1aouss',
re.compile(r'(\b[bbcfptw])ool', re.I | re.U): r'\1oul',
re.compile(r'\bgame(?=[s\W]|$)', re.I): u'gu\xe8\xefme',
re.compile(r'\bgamer(?=[s\W]|$)', re.I): u'gu\xe8\xefmeur',
re.compile(r'(ad|[ae]rs|ed|rr|glut|ll)en(?=[s\W]|$)', re.I): r'\1enn',
re.compile(r'geiger', re.I): u'g\xe9gerr',
re.compile(r'(godw|goldw|baldw|pel|tw)in', re.I): r'\1inn',
re.compile(r'google', re.I): r'gougueul',
re.compile(r'going', re.I): r'gohing',
re.compile(r'gger(?=[s\W]|$)', re.I | re.U): r'gueur',
re.compile(r'ggeu(?=[rs])', re.I | re.U): r'gueu',
re.compile(r'(?<=[kmst])ler(?=[s\W]|$)', re.I | re.U): r'lair',
re.compile(r'([ghomnpr])uy([b-df-hj-np-tv-xz]|$)', re.I | re.U): r'\1ui\2',
re.compile(r'(\bha)\xfcy(?=\W|$)', re.I | re.U): r'\1hui',
re.compile(r'\bchief(?=[ts\W]|$)', re.I | re.U): r'chiff',
re.compile(r'\bofficer(?=[s\W]|$)', re.I | re.U): r'officeur',
re.compile(r'\bhub(?=[s\W]|$)', re.I | re.U): r'hoeb',
re.compile(r'\bstuff(?=[s\W]|$)', re.I | re.U): r'steuff',
re.compile(r'\buber(?=[s\W]|$)', re.I | re.U): r'uberr',
re.compile(r'uy(?=[bcdfghj-np-tvwxz\W]|$)', re.I | re.U): r'ui',
re.compile(r'([ch])oef(?=[mn])', re.I | re.U): r'\1of',
re.compile(r'(\b|\bm|\bpr|sl|\bsp|tw|adv|dev)ice(?=[rs]|\W|$)', re.I | re.U): r'\1aillce',
re.compile(r'(\bpr|sl|\bsp|adv|dev)icer(?!r)', re.I | re.U): r'\1aillceur',
re.compile(r'\bliker(?=\W|$)', re.I | re.U): u'laillk\xe9',
re.compile(r'(\b|[ns])lik(?=[aeio\xe2\xe8\xe9])', re.I | re.U): r'\1laillhk',
re.compile(r'(\b|[bhlmn])ik(e|ing)(?=[s\W]|$)', re.I | re.U): r'\1aillhk\2',
re.compile(r'(\b|[bhmnp])iker(?=[s\W]|$)', re.I | re.U): r'\1aillkeur',
re.compile(r'(\b|\b[hlmnp]|tr|sl|nl)ike(?=[s\W]|$)', re.I | re.U): r'\1aillke',
re.compile(r'(air|hot|off)line(?=[s\W]|$)', re.I | re.U): r'\1laillne',
re.compile(r'borderline', re.I | re.U): r'bordeurlaillne',
re.compile(r'([dh])eadline', re.I | re.U): r'\1aidlaillne',
re.compile(r'\b([io])nline(?=[s\W]|$)', re.I | re.U): r'\1nnlaillne',
re.compile(r'punchline', re.I | re.U): r'poench laillne',
re.compile(r'timeline', re.I | re.U): r'taillmlaillne',
re.compile(r'underline', re.I | re.U): r'oendeurlaillne',
re.compile(r'reading', re.I | re.U): r'riding',
re.compile(r'\bshuffle(?=[s\W]|$)', re.I | re.U): r'cheuffeuhl',
re.compile(r'\B(sh[io]p)(?=[s\W]|$)', re.I | re.U): r'-\1',
re.compile(r'\bice(?=[bcs\W]|$)', re.I | re.U): r'aillss',
re.compile(r'([aei]n)([dt])le(?=s\W|\W|$)', re.I | re.U): r'\1n\2euhl',
re.compile(r'([aei])ndler(?=[s\W]|$)', re.I | re.U): r'\1hndleur',
re.compile(r'undle(?=[s\W]|$)', re.I | re.U): r'euhndeuhl',
re.compile(r'\b([bfgrs])un(\b|ne|ny|sh|s\b)', re.I | re.U): r'\1oen\2',
re.compile(r'(clo|oo)ser(?=[s\W]|$)', re.I | re.U): r'\1zeur',
re.compile(r'\bloser(?=[s\W]|$)', re.I | re.U): r'louzeur',
re.compile(r'owser(?=[s\W]|$)', re.I | re.U): r'aouzeur',
re.compile(r'([aeiouy]\w*(?<!n)[dt])le(s[^s]|\W|$)', re.I | re.U): r'\1euhl\2',
re.compile(r'(system|file)(\s)explorer', re.I): r'\1\2exploreur',
re.compile(r'(\w+)(?=box)', re.I): r'\1-',
re.compile(r'ield(?=[is\W]|$)', re.I | re.U): r'ildd',
re.compile(r'ink(?=[aeys\W]|$)', re.I | re.U): r'innk',
re.compile(r'(?<=haillh)er(?=[\W]|$)', re.I | re.U): r'eur',
re.compile(r'high(?=[elw\W]|$)', re.I | re.U): r'haillh',
re.compile(r'ight(?!er)', re.I | re.U): r'aillt',
re.compile(r'ighter', re.I | re.U): r'aillteur',
re.compile(r'([bfkm]|gr)ind([ehis\W]|$)(?=[^r])', re.I | re.U): r'\1aillndd\2',
re.compile(r'(bl)ind([his\W]|$)(?=[^r])', re.I | re.U): r'\1aillndd\2',
re.compile(r'([bfkm])inder(?=[s\W]|$)(?=\W)', re.I | re.U): r'\1aillndeur',
re.compile(r'([^hw])inding([s\W]|$)(?=\W)', re.I | re.U): r'\1aillnding\2',
re.compile(r'\bwin([bcf-hj-np-tvwxz\W]|$)', re.I | re.U): r'winn\1',
re.compile(r'\bwind([^o]|$)', re.I | re.U): r'winndd\1',
re.compile(r'\bwindow(?=[^s]|$)', re.I | re.U): r'winndow',
re.compile(r'jaws', re.I | re.U): r'djowzz',
re.compile(r'jersey', re.I | re.U): r'jerzey',
re.compile(r'kosov', re.I | re.U): r'kossov',
re.compile(r'\b(lady|ladies)(?=\W|$)', re.I): r'leilldy',
re.compile(r'\bmilady(?=\W|$)', re.I): r'mileilldy',
re.compile(r'\blisten(?!er)', re.I | re.U): r'lissoen',
re.compile(r'\blistener(?=[s\W]|$)', re.I | re.U): r'lissoeneur',
re.compile(r'\b(baby|babies)(?=\W|$)', re.I): r'beillby',
re.compile(r'manager(?=[s\W]|$)', re.I | re.U): r'manadgeur',
re.compile(r'\bmaybe(?=\W|$)', re.I | re.U): r'meillbi',
re.compile(r'\bMc', re.U): r'Mac',
re.compile(r'([wz]|[^aou]y|\b[ch]|gu)(ard)(?=[s\W]|$)', re.I | re.U): r'\1\2d',
re.compile(r'media(?=[s\W]|$)', re.I | re.U): u'm\xe9dia',
re.compile(r'mediapart(?=[\W]|$)', re.I | re.U): u'm\xe9diapartt',
re.compile(r'\bmov([eiy])(?!r)', re.I | re.U): r'mouv\1',
re.compile(r'\bmover(?=[s\W]|$)', re.I | re.U): r'mouveur',
re.compile(r'remov([eiy])(?!r)', re.I | re.U): r'rimouv\1',
re.compile(r'remover(?=[s\W]|$)', re.I | re.U): r'rimouveur',
re.compile(r'(\wv|mess|pass|chall)enger(?=[s\W]|$)', re.I | re.U): r'\1enngeur',
re.compile(r'\b([hm])ouse(?=[s\W]|$)', re.I | re.U): r'\1a ouse',
re.compile(r'([dr])gin(?=[s\W]|$)', re.I | re.U): r'\1ginn',
re.compile(r'\bmme(?=[\W]|$)', re.I | re.U): r'madame',
re.compile(r'\b(Mr)(?=\W|$)', re.U): r'monsieur',
re.compile(r'\bMgr(?=[\W]|$)', re.U): r'monseigneur',
re.compile(r'(mu|ri)ffin(?=[s\W]|$)', re.I | re.U): r'\1ffinn',
re.compile(r'([fn])ew(?=[^es])', re.I | re.U): r'\1iou',
re.compile(r'([fn])(ew)e(r|st)(?=[\W]|$)', re.I | re.U): r'\1iou-oe\3',
re.compile(r'news', re.I | re.U): r'niouzz',
re.compile(r'ninja(?=[s\W]|$)', re.I | re.U): r'ninnja',
re.compile(r'nugget(?=[s\W]|$)', re.I | re.U): r'noeguett',
re.compile(r'old(?=\W|$)', re.I | re.U): r'oldd',
re.compile(r'\b(o|hap)pen', re.I | re.U): r'\1poenn',
re.compile(r'people', re.I | re.U): r'pipeuhl',
re.compile(r'(\bl)ayer', re.I | re.U): u'\\1\xe9ieur',
re.compile(r'(fl|m|pl)yer', re.I | re.U): r'\1ailleur',
re.compile(r'\bDr(?=[s\W]|$)', re.U): r'docteur',
re.compile(r'\bPr(?=[s\W]|$)', re.U): r'professeur',
re.compile(r'print(?=[is\W]|$)', re.I | re.U): r'prinntt',
re.compile(r'\bqui(?=ck(ly|est|er|$))', re.I | re.U): r'coui',
re.compile(r'\bquite', re.I | re.U): r'couaillte',
re.compile(r'recorder', re.I | re.U): r'ricordeur',
re.compile(r'\bburn([is\W]|$)(?!r)', re.I | re.U): r'boern\1',
re.compile(r'\b([bt])urner(?=[s\W]|$)', re.I | re.U): r'\1oerneur',
re.compile(r'\bturn([eis\W]|$)(?!r)', re.I | re.U): r'toern\1',
re.compile(r're(?=turn)', re.I | re.U): r'ri ',
re.compile(r'\bris([ei])(?=[dns\W]|$)', re.I | re.U): r'raillz\1',
re.compile(r'school', re.I | re.U): r'scoul',
re.compile(r'\b(b|f|l|n|r|t)ed(?=[s\W]|$)', re.I | re.U): u'\\1\xe8dd',
re.compile(r'(\b|hn|e)set(?=[s\W]|$)', re.I | re.U): r'\1 sett',
re.compile(r'(\b|[s])even(?=[s\W]|$)', re.I | re.U): r'\1eiveuhn',
re.compile(r'(s)([mt])art(?=[s\W]|$)', re.I | re.U): r'\1\2artt',
re.compile(r'\bsmil(?=[ei])', re.I | re.U): r'smaillhl',
re.compile(r'\b(b|comm|l|n|s|st)and(?=[s\W]|$)', re.I | re.U): r'\1andd',
#re.compile(r'(king)(?=so)', re.I | re.U): r'kinngg',
re.compile(r'(?<=[dkil])sh(?=[aioruy])', re.I | re.U): r'-sh',
re.compile(r'(\w)sh(?=eur)', re.I | re.U): r'\1ch',
re.compile(r'\b(s[kp])y', re.I | re.U): r'\1aill',
re.compile(r'(?<=[np])shot(?=[s\W]|$)', re.I | re.U): r'chott',
re.compile(r'\bt(?=-sh)', re.I | re.U): r'ti',
re.compile(r'update(?=[ds\W]|$)', re.I | re.U): r'euhpdeillte',
re.compile(r'updater(?=[s\W]|$)', re.I | re.U): r'euhpdeillteur',
re.compile(r'ower(?=[cs\W]|$)', re.I | re.U): r'oweur',
re.compile(r'(\b|t)upper(?=[csw\W]|$)', re.I | re.U): r'\1oeppeur',
re.compile(r'(uz|[^q]uiz)(?=\W|$)', re.I | re.U): r'\1z',
re.compile(r'wi([dfnprsv]e)', re.I | re.U): r'waill\1',
re.compile(r'\bli([ft]e)(?=\W|$)', re.I | re.U): r'laill\1',
re.compile(r'(sl|\bh)ide(?![ur])', re.I | re.U): r' \1aillde',
re.compile(r'(sl|\bh)ider(?=[s\W]|$)', re.I | re.U): r' \1ailldeur',
re.compile(r'(in|out)side(?!r)', re.I | re.U): r' \1-saillde',
re.compile(r'(in|out)sider(?=[s\W]|$)', re.I | re.U): r' \1-sailldeur',
re.compile(r'(dd|ok|gard|tt|dr|tch|wd)en(?=[s\W]|$)', re.I | re.U): r'\1euhn',
re.compile(r'([cfhw]|\bt|sm)(a)(l[lk])e([nr])(\W|$)', re.I | re.U): r'\1o\3euh\4\5',
re.compile(r'([cfhw]|\bt|sm)(a)(l[lk])(y|ing|ies)([s\W]|$)', re.I | re.U): r'\1o\3\4\5',
re.compile(r'([cfhtw]|sm)(a)(ll)([s\W]|$)', re.I | re.U): r'\1o\3\4',
re.compile(r'wave(?=s|\W|$)', re.I | re.U): r'weillve',
re.compile(r'world', re.I | re.U): r'weurldd',
re.compile(r'writ([ei])(?!r)', re.I | re.U): r'wraillt\1',
re.compile(r'writer(?=[s\W]|$)', re.I | re.U): r'wraillteur',
re.compile(r'([djm]|tr)ust(?=[sy\W]|ing|$)', re.I | re.U): r'\1oest',
re.compile(r'just(?=[s\W]|ed|$)', re.I | re.U): r'djoest',
re.compile(r'\b(ch|w)ild(?!r)', re.I | re.U): r'\1aillhldd',
re.compile(r'wilder', re.I | re.U): r'waillhldeur',
re.compile(r'whi([lt]e)', re.I | re.U): r'waillh\1',
re.compile(r'\b([vw])(\w)gner(?=\W|$)', re.I | re.U): r'v\2ghnerr',
re.compile(r'which', re.I | re.U): r'witch',
re.compile(r'why', re.I | re.U): r'waill',
re.compile(r'\bwith(?!in|out)', re.I | re.U): r'wizz',
re.compile(r'\bwith(in|out)(?=[s\W]|$)', re.I | re.U): r'wizz \1',
re.compile(r'(w)(h)(isk[eiy])', re.I | re.U): r'\1\3',
re.compile(r'(\bfl|ppl|\bcr|\btr|\bfr|\bdr|if)(y)(?=[i\W]|$)', re.I | re.U): r'\1aill',
re.compile(r'(wom[ae]n)', re.I | re.U): r'\1n',
re.compile(r'([rs])eason', re.I | re.U): r'\1isonn',
re.compile(r'\bth([ae])([mn])(?=\W|$)', re.I | re.U): r'dz\1\2\2',
re.compile(r'\b(ha|wa|i|hi)s(?=\W|$)', re.I | re.U): r'\1zz',
re.compile(r'went(?=\W|$)', re.I | re.U): r'wenntt',
re.compile(r'when', re.I | re.U): r'wenn',
re.compile(r'\binto(?=[\W]|$)', re.I | re.U): r'inntou',
re.compile(r'\bhere(?=[\W]|$)', re.I | re.U): r'hire',
re.compile(r'\bth(ere|eir)(?=[\W]|$)', re.I | re.U): r'dzaire',
re.compile(r'ear(?=[dnl])', re.I | re.U): r'euhr',
re.compile(r'\bwhat(?=[\W]|$)', re.I | re.U): r'watt',
re.compile(r'\bwho(|m|se)(?=\W|$)', re.I | re.U): r'wou\1',
re.compile(r'\bthat(?=[\W]|$)', re.I | re.U): r'dzatt',
re.compile(r'\bthis(?=[\W]|$)', re.I | re.U): r'dziss',
re.compile(r'\bthese(?=[\W]|$)', re.I | re.U): r'dzise',
re.compile(r'\bthose(?=[\W]|$)', re.I | re.U): r'dzose',
re.compile(r'\bthey(?=[\W]|$)', re.I | re.U): r'dzey',
re.compile(r'\bupon(?=[\W]|$)', re.I | re.U): r'oeponn',
re.compile(r'([aor]|ei)ther(?=[s\W]|$)', re.I | re.U): r'\1zeur',
re.compile(r'\b(|n|for|when|what|how)ever(?=[mnt\W]|$)', re.I | re.U): r'\1aiveur',
re.compile(r'touch(?=[ys\W]|$)', re.I | re.U): r'toetch',
re.compile(r'([bp])ush(?!er)', re.I | re.U): r'\1ouch',
re.compile(r'([bp])usher', re.I | re.U): r'\1oucheur',
re.compile(r'cush', re.I | re.U): r'keuhch',
re.compile(r'([hlmr])ush', re.I | re.U): r'\1euhch',
re.compile(r'ubuntu(?=\W|$)', re.I | re.U): r'oubountou',
re.compile(r'\bunder(?=[hsw\W]|$)', re.I | re.U): r'oenndoer',
re.compile(r'\b(|[clr\W])over(?=[dhsw\W]|$)', re.I | re.U): r'\1ovoer',
re.compile(r'\b([bm])y(?=[\W]|$)', re.I | re.U): r'\1aill',
re.compile(r'\b([dg])oes(?=[\W]|$)', re.I | re.U): r'\1oezz',
re.compile(r'\b(bot|cannot|cat|flat|got|hat|it|let|not|tet|wet|yet)(?=[s\W]|$)', re.I | re.U): r'\1t',
re.compile(r'(\b|[ao]r)get(?=[s\W]|$)', re.I | re.U): r'\1guett',
re.compile(r'([^aeiouy])aking(?=[s\W]|$)', re.I | re.U): r'\1eillking',
re.compile(r'([^aceioruy]|br)ake(?=[s\W]|$)', re.I | re.U): r'\1eillke',
re.compile(r'([^aeiouy])ake([rn])(?=[s\W]|$)', re.I | re.U): r'\1eillkoe\2',
re.compile(r'(\b|pass)word(?=[s\W]|$)', re.I | re.U): r'\1woerdd',
re.compile(r'\bsaver(?=[s\W]|$)', re.I | re.U): r'seillveur',
re.compile(r'\bsenior(?=[s\W]|$)', re.I | re.U): u's\xe9nior',
re.compile(r'eceiver(?=[s\W]|$)', re.I | re.U): r'iciveur',
re.compile(r'\btchat(?=[s\W]|$)', re.I | re.U): r'tchatt',
re.compile(r'(?<=[lmnrst])[iy]ze(?=[ds\W]|$)', re.I | re.U): r'aillze',
re.compile(r'(?<=[lmnrst])[iy]zer(?=[s\W]|$)', re.I | re.U): r'aillzeur',
re.compile(r'(?<=[lmnrst])[iy]zing(?=[\W]|$)', re.I | re.U): r'aillzing',
re.compile(r'\b(v|ch)oice(?=[lms\W]|$)', re.I | re.U): r'\1oyce',
re.compile(r'([^i]\w)ket(?=[s\W]|$)', re.I | re.U): r'\1kett',
#re.compile(r'\bonce(?=[\W]|$)', re.I | re.U): r'ouannce',
re.compile(r'(\bs|ri)can(?=[s\W]|$)', re.I | re.U): r'\1cann',
re.compile(r'\bshe(?=\W|$)', re.I | re.U): r'shi',
re.compile(r'slate(?=[ds\W]|$)', re.I | re.U): r'sleillte',
re.compile(r'\bspace', re.I | re.U): r'speillce',
re.compile(r'\bsong(?=[s\W]|$)', re.I | re.U): r'songg',
re.compile(r'\bsongr(?=[s\W]|$)', re.I | re.U): r'songre',
re.compile(r'\bout(?=[bdlmps\W]|$)', re.I | re.U): r'aoutt',
re.compile(r'\bin(?=[p\W]|$)', re.I | re.U): r'inn',
re.compile(r'\bins(?=\W|$)', re.I | re.U): r'innss',
re.compile(r'(?<=[nt])put(?=[s\W]|$)', re.I | re.U): r'poutt',
re.compile(r'beside(?=[s\W]|$)', re.I | re.U): r' bissaillde',
re.compile(r'\bgift(?=[s\W]|$)', re.I | re.U): r'guiftt',
re.compile(r'(\b|[^o])give(?=[s\W]|$)', re.I | re.U): r'\1guive',
re.compile(r'(\b|[^o])give(?=[nr]\W|$)', re.I | re.U): r'\1guiveuh',
re.compile(r'(\b|[^o])giving(?=[s\W]|$)', re.I | re.U): r'\1guiving',
re.compile(r'([bfghkmw]|st)ill(?=[iys\W]|$)', re.I | re.U): r'\1il',
re.compile(r'([fkm])iller(?=[s\W]|$)', re.I | re.U): r'\1ileur',
re.compile(r'(\bx)(?=[bcdfghj-np-twz]\w+|vid)', re.I | re.U): r'\1-',
re.compile(r'([cdhklsv])id(?=[s\W]|$)', re.I | re.U): r'\1idd',
re.compile(r'(yn)(?=[s\W]|$)', re.I | re.U): r'\1n',
re.compile(r'\b(div|div\s)(x)', re.I | re.U): r'\1ikss ',
re.compile(r'\brexx', re.I | re.U): u'r\xe8kss',
re.compile(r'\bsunni', re.I | re.U): r'suni',
re.compile(r'\btoday', re.I | re.U): r'touday',
re.compile(r'\bvery', re.I | re.U): r'vairy',
re.compile(r'yd(?=[s\W]|$)', re.I | re.U): r'ydd',

re.compile(r'\b(ala|alla|erwa|gle|cOhe|jorda)(n)(\W|$)', re.I): r'\1\2\2\3',
re.compile(r'\bfukushima(?=\W|$)', re.I): r'foukouchima',
re.compile(r'\bhamlet(?=\W|$)', re.I): r'hammlett',
re.compile(r'\bhelmut(?=\W|$)', re.I): r'helmoutt',
re.compile(r'\blewis(?=\W|$)', re.I): u'l\xe9wiss',
re.compile(r'\bluigi(?=\W|$)', re.I): r'louidgi',
re.compile(r'(r)yan(?=\W|$)', re.I | re.U): r'\1aillann',
re.compile(r'\bstefan(?=\W|$)', re.I | re.U): r'steffann',
re.compile(r'\b(alvare|[fh]ernande|GIMENE|GOME|gonzale|lope|martine|mergue|pere|perre|rodrigue|ramire|sanche|torre)(z)(?=\W|$)', re.I | re.U): r'\1zz',
re.compile(r'\b(f|st|spr)inger(?=[s\W]|$)', re.I | re.U): r'\1inngueur',
re.compile(r'(in)(|g|s|gs)ton(?=\W|$)', re.I | re.U): r'inn\2tonn',
re.compile(r'(arl|[eou]r|nor|ea|ew|nks|[aeiou]l|sh)ton(?=\W|$)', re.I | re.U): r'\1tonn',
re.compile(r'([eiu]|la)xon(?=\W|$)', re.I | re.U): r'\1xonn',
re.compile(r'dleton([\W]|$)', re.I | re.U): r'deultonn\1',
re.compile(r'([jmrw]an|[clp]ar|ck|d|i[cl]|at|el|hn|ep|ol|op|up|ns|g|rs|rt|[dfgmt]er)son(?=[s\W]|$)', re.I | re.U): r'\1sonn',
re.compile(r'(gu|ma|rri)son(?=[\W]|$)', re.I | re.U): r'\1ssonn',
re.compile(r'((?<=[^s])a|i)(m)son([\W]|$)', re.I | re.U): r'\1\2\2sonn',
re.compile(r'(be|ma|o|[bhkvw]i)(n)son([\W]|$)', re.I | re.U): r'\1\2\2sonn\3',
re.compile(r'(me|ma|ve|gru)yer([s\W]|$)', re.I | re.U): r'\1yerr\2',
re.compile(r'(Arkansa|Dalla|Dama|Kansa|Mon|Palava|Tuni|Varga)(s)(?=\W|$)', re.U): r'\1\2\2',
re.compile(r'\bAnvers(?=[\W]|$)', re.U): r'anverrss',
re.compile(r'(Y\xe9me)(n)(?=\W|$)', re.U): r'\1\2\2',
re.compile(r'\b(O)(S)(?=\W|$)', re.U): r'\1 \2',

re.compile(r'\bcooper(?=[s\W]|$)', re.I | re.U): r'coupeur',
re.compile(r'\bdavis(?=[\W]|$)', re.I | re.U): u'd\xe8viss',
re.compile(r'([bfm])ay(?=[\W]|$)', re.I | re.U): r'\1ai',
re.compile(r'gear(?=[s\W]|$)', re.I | re.U): r'guir',
re.compile(r'\bISS(?=\W|$)', re.U): r'i s s',
re.compile(r'ucchi(?=\W|$)', re.I | re.U): r'outchi',
re.compile(r'(silicon)(?=[s\W]|$)', re.I | re.U): r'\1n',
re.compile(r'\btimer(?=[s\W]|$)', re.I | re.U): r'taillmeur',
re.compile(r'tim(?=ing)', re.I | re.U): r'taillm',
re.compile(r'ymous(?=[\W]|$)', re.I | re.U): r'ymouss',

re.compile(r'monday(?=[\W]|$)', re.I | re.U): r'monnday',
re.compile(r'tuesday(?=[\W]|$)', re.I | re.U): r'tiouzday',
re.compile(r'thursday(?=[\W]|$)', re.I | re.U): r'soersday',
re.compile(r'friday(?=[\W]|$)', re.I | re.U): r'fraillday',
re.compile(r'saturday(?=[\W]|$)', re.I | re.U): r'satoerday',
re.compile(r'sunday(?=[\W]|$)', re.I | re.U): r'soenday',
}

spanish_fixes = {
#for emails
re.compile(r'([a-zA-Z0-9_]+)@(\w+)'): r'\1 arroba \2',
}
